package nc.bs.gl.updatedata;

import java.rmi.RemoteException;
import nc.bs.gl.updatedata.GlUpgradeDMO;
import nc.bs.logging.Logger;
import nc.bs.sm.accountmanage.IUpdateAccount;
import nc.vo.ml.NCLangRes4VoTransl;

public class GRUpdateData implements IUpdateAccount {

   public void doBeforeUpdateData(String dsName, String khhOldVersion, String khhNewVersion) throws Exception {
   }

   public void doBeforeUpdateDB(String dsName, String khhOldVersion, String khhNewVersion) throws Exception {
      GlUpgradeDMO updmo = new GlUpgradeDMO();
      Logger.debug("********协同检查***********");
      if(updmo.isGRAllConfirmed().booleanValue()) {
         Logger.debug("系统中有未确认协同凭证,请确认后才能升级.");
         throw new RemoteException(NCLangRes4VoTransl.getNCLangRes().getStrByID("2002gl55", "UPP2002gl55-000689"));
      } else {
         Logger.debug("********协同检查结束***********");
      }
   }

   public void doEndUpdateAccount(String dsName, String khhOldVersion, String khhNewVersion) throws Exception {
   }

   public static void main(String[] args) {
   }

   public void doAfterUpdateData(String oldVersion, String newVersion) throws Exception {
   }

   public void doBeforeUpdateDB(String oldVersion, String newVersion) throws Exception {
   }

   public void doBeforeUpdateData(String oldVersion, String newVersion) throws Exception {
   }
}
